List notes for a profile

Get all notes for a profile (group, company, or travel agent)

Path Params
int64
required

Entity ID

Query Params
string
enum
Defaults to ACTIVE

Filter notes by archived status. If not provided, returns only active notes.

Allowed:
string
Defaults to createdAt:desc

Sort notes by field and direction in format: field:direction Multiple fields can be separated by semicolon. Examples: createdAt:desc, updatedAt:asc Valid fields: createdAt, updatedAt Valid directions: asc, desc (default: asc) Default sort: createdAt:desc

string

Cursor token for pagination. Use the nextPageToken from the previous response to fetch the next page.

Usage:

  • Omit or pass empty string for the first page
  • Pass the nextPageToken from previous response for subsequent pages
  • When nextPageToken is null in the response, you've reached the last page

Benefits over offset-based pagination:

  • Consistent results even when data changes between requests
  • Better performance for large datasets (no row skipping)
  • No maximum page limit
integer
1 to 500
Defaults to 100

Page size. Specifies the maximum number of items to return in a single response.

Limits:

  • Minimum: 1
  • Maximum: 500
  • Default: 100
Headers
int64

Property ID

int64
required

Organization ID

Responses

401

Unauthorized

403

Forbidden

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json